- hosts: odroid_cluster
  name: Check for reboot
  become: true
  gather_facts: false
  tasks:
    - name: Check if file exists using stat module
      stat:
        path: /var/run/reboot-required
      register: file_status

    - name: Print file status
      debug:
        var: file_status.stat.exists
    - name: Reboot the server
      tags: reboot
      become: true
      become_user: root
      shell: "sleep 5 && reboot"
      async: 1
      poll: 0
      when: file_status.stat.exists == true
    
    - name: (reboot) Wait for server to restart
      ansible.builtin.wait_for_connection:
        delay: 10
        timeout: 300